[debian-edu-commits] debian-edu/ 116/183: - have zlogin-snippet run xsession.d script directly (needed zsh shwordsplit option set) - chase policy to version 3.7.2

Alexander Alemayhu ccscanf-guest at moszumanska.debian.org
Wed Jun 11 16:48:39 UTC 2014


This is an automated email from the git hooks/post-receive script.

ccscanf-guest pushed a commit to branch master
in repository desktop-profiles.

commit f4fe34cf0e2e9986d9d43a8e427556015da0d8ea
Author: Bart Cornelis <cobaco at linux.be>
Date:   Fri May 5 08:53:08 2006 +0000

    - have zlogin-snippet run xsession.d script directly (needed zsh shwordsplit
      option set)
    - chase policy to version 3.7.2
---
 debian/changelog |  6 ++++--
 debian/control   |  2 +-
 zlogin-snippet   | 32 +++++++++++++++++---------------
 3 files changed, 22 insertions(+), 18 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 4191c0f..bc9aa7d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,9 +4,11 @@ desktop-profiles (1.4.12) UNRELEASED; urgency=low
     <simon at technocool.net> (Closes: #363232)
   * Add note about pessulus en sabayon tools (which help with creating
     gnome profiles) in README, and add suggest on pessulus.
-  * Upgraded to policy version 3.7.0 (no changes needed)
+  * example zlogin-snippet now runs the Xsession script directly (it needed
+    the shwordsplit option to be set)
+  * Upgraded to policy version 3.7.2 (no changes needed)
 
- -- Bart Cornelis (cobaco) <cobaco at linux.be>  Wed,  2 May 2006 19:37:58 +0200
+ -- Bart Cornelis (cobaco) <cobaco at linux.be>  Fri,  5 May 2006 10:49:28 +0200
 
 desktop-profiles (1.4.11) unstable; urgency=low
 
diff --git a/debian/control b/debian/control
index 4fd9e82..0ea89d6 100644
--- a/debian/control
+++ b/debian/control
@@ -5,7 +5,7 @@ Maintainer: Bart Cornelis (cobaco) <cobaco at linux.be>
 Uploaders: Marco Presi (Zufus) <zufus at debian.org>
 Build-Depends: debhelper (>= 5.0.0)
 Build-Depends-Indep: po-debconf, intltool
-Standards-Version: 3.7.0
+Standards-Version: 3.7.2
 
 Package: desktop-profiles
 Architecture: all
diff --git a/zlogin-snippet b/zlogin-snippet
index 4b226c1..a29be96 100755
--- a/zlogin-snippet
+++ b/zlogin-snippet
@@ -1,21 +1,23 @@
 #!/bin/zsh
-
+#
 # This fixes the desktop-profiles corner-case where a graphical client is 
 # started through an ssh -X session (in which the Xsession.d scripts aren't 
 # run, so we need to make sure the profiles are activated according to the 
 # specified settings at login).
-DESKTOP_PROFILES_SNIPPET="/usr/share/desktop-profiles/get_desktop-profiles_variables"
-if (test -f $DESKTOP_PROFILES_SNIPPET) then
-  TEMP_FILE=`tempfile`
-
-  # use bash to write the required environment settings to a tempfile
-  # this file has a VARIABLE=VALUE format
-  bash $DESKTOP_PROFILES_SNIPPET $TEMP_FILE
-
-  # convert to zsh format and source to set the required environment variables
-  sed -i 's/^\(.*=.*\)$/export \1/' $TEMP_FILE
-  source $TEMP_FILE
+#############################################################################
 
-  # cleanup
-  rm $TEMP_FILE
-fi  
+# testing SSH_CLIENT as the woody ssh doesn't set SSH_CONNECTION
+# also testing SSH_CONNECTION as the current ssh manpage no longer mentions
+# SSH_CLIENT, so it appears that variable is being phased out.
+if ( (test -n "${SSH_CLIENT}") || (test -n "${SSH_CONNECTION}") ) && \
+   (test -n "${DISPLAY}"); then 
+  # zsh needs the shwordsplit option set otherwise activateDesktopProfiles
+  # script wil error out
+  if (setopt | grep shwordsplit); then
+    source /etc/X11/Xsession.d/20desktop-profiles_activateDesktopProfiles;
+  else
+    setopt shwordsplit;
+    source /etc/X11/Xsession.d/20desktop-profiles_activateDesktopProfiles;
+    unsetopt shwordsplit;
+  fi;
+fi;  

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-edu/pkg-team/desktop-profiles.git



More information about the debian-edu-commits mailing list